### Hierarchy

- DOMRectReadOnly
  - DOMRect

## Index

### Properties

- DOMRectReadOnly
- bottom
- height
- left
- right
- top
- width
- x
- y

### Methods

- toJSON

## Properties

### DOMRectReadOnly

DOMRectReadOnly: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3714

#### Type declaration

- ##### constructor: function

  - new __type(x?: undefined | number, y?: undefined | number, width?: undefined | number, height?: undefined | number): DOMRectReadOnly
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3715

    #### Parameters

    - ##### Optional x: undefined | number

    - ##### Optional y: undefined | number

    - ##### Optional width: undefined | number

    - ##### Optional height: undefined | number

    #### Returns DOMRectReadOnly

- ##### prototype: DOMRectReadOnly

- ##### fromRect: function

  - fromRect(other?: DOMRectInit): DOMRectReadOnly
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3717

    #### Parameters

    - ##### Optional other: DOMRectInit

    #### Returns DOMRectReadOnly

### bottom

bottom: number

Inherited from DOMRectReadOnly.bottom

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3703

### height

height: number

Overrides DOMRectReadOnly.height

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3676

### left

left: number

Inherited from DOMRectReadOnly.left

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3705

### right

right: number

Inherited from DOMRectReadOnly.right

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3706

### top

top: number

Inherited from DOMRectReadOnly.top

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3707

### width

width: number

Overrides DOMRectReadOnly.width

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3677

### x

x: number

Overrides DOMRectReadOnly.x

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3678

### y

y: number

Overrides DOMRectReadOnly.y

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3679

## Methods

### toJSON

- toJSON(): any

- Inherited from DOMRectReadOnly.toJSON

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3711

  #### Returns any

Generated using TypeDoc